# timeout in s to end script when nothing is received (will be restarted by systemd then)
# must be higher than getStatusInterval 
quitOnNoReceiveTimeout = 75
filterUnchanged = False # if True, MQTT updates are only sent if the pin state has changed

# status file - on ramdrive (/tmp on RasPi by default)
# is "touched" every time a serial message comes in so that working communication can be monitored easily
#statusFile = '/tmp/ioext_running'
#statusFile = '/run/user/1000/ioext_running'
statusFile = ''

# serial port config
serialPort = '/dev/serial/by-id/usb-1a86_USB_Serial-if00-port0'
serialBaud = 57600
serialTimeout = 1 # should be 1 as above interval/timeout relies on it

# MQTT config
mqtt_server = "mqtt.lan"
mqtt_port = 1883
mqtt_user = ""
mqtt_password = ""

mqtt_base_topic = "T5/HomeSvrIOExt"

mqtt_topic_tuerkontakt = "T5/Wohnungstuer/Tuerkontakt"
mqtt_topic_pir1 = "T5/VZ/PIR1"
mqtt_topic_pir2 = "T5/VZ/PIR2"
mqtt_topic_out_temp = "T5/Abstr/Sensors/temp"
mqtt_topic_out_hum = "T5/Abstr/Sensors/hum"
